nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | List of all members
TestFileInfoIterator Class Reference
Inheritance diagram for TestFileInfoIterator:

## Public Member Functions
| TestFileInfoIterator (FsStubNode *node, const std::string &prefix)
virtual nx_spl::FileInfo *STORAGE_METHOD_CALL | next (int *ecode) const override
virtual void * | queryInterface (const nxpl::NX_GUID &interfaceID) override
| Cast to type, specified by interfaceID. More...
virtual int | addRef () const override
| Increment reference counter. More...
virtual int | releaseRef () const override
| Decrement reference counter. More...
Public Member Functions inherited from PluginRefCounter< TestFileInfoIterator >
int | pAddRef () const
int | pReleaseRef () const

## Member Function Documentation

## ◆ addRef()

int TestFileInfoIterator::addRef | ( |  | ) | const
| overridevirtual

Increment reference counter.

Returns
  new reference count

Note
  PluginInterface::releaseRef is not guaranteed to be called from thread that called PluginInterface::addRef

Implements nxpl::PluginInterface.

## ◆ next()

nx_spl::FileInfo *STORAGE_METHOD_CALL TestFileInfoIterator::next | ( | int * | ecode | ) | const
| overridevirtual

Parameters

  ecode | Pointer to error code. Pass NULL if you are not interested in error information.

Returns
  current FileInfo* and moves iterator to the next position. Previous FileInfo* is invalidated. If no more files, NULL is returned.

Implements nx_spl::FileInfoIterator.

## ◆ queryInterface()

void * TestFileInfoIterator::queryInterface | ( | const nxpl::NX_GUID & | interfaceID | ) |
| overridevirtual

Cast to type, specified by interfaceID.

If pointer cannot be cast, NULL MUST be returned

Returns
  If not NULL, returned pointer can be safely cast to type, defined by interfaceID

Note
  This method increments reference counter

Implements nxpl::PluginInterface.

## ◆ releaseRef()

int TestFileInfoIterator::releaseRef | ( |  | ) | const
| overridevirtual

Decrement reference counter.

When zero, object MUST be removed

Returns
  new reference count

Note
  PluginInterface::releaseRef is not guaranteed to be called from thread that called PluginInterface::addRef

Implements nxpl::PluginInterface.

The documentation for this class was generated from the following files:

- samples/storage/test_storage_plugin/src/test_file_info_iterator.h
- samples/storage/test_storage_plugin/src/test_file_info_iterator.cpp